--- fsset.py.orig	2003-11-13 01:10:24.000000000 -0800
+++ fsset.py	2003-11-13 01:11:50.000000000 -0800
@@ -146,7 +146,7 @@
         self.linuxnativefs = 0
         self.partedFileSystemType = None
         self.partedPartitionFlags = []
-        self.maxSizeMB = 1024 * 1024
+        self.maxSizeMB = 1920 * 1024
         self.supported = -1
         self.defaultOptions = "defaults"
         self.migratetofs = None
@@ -366,7 +366,7 @@
             self.supported = 0
         self.name = "reiserfs"
 
-        self.maxSizeMB = 1024 * 1024
+        self.maxSizeMB = 1920 * 1024
 
 
     def formatDevice(self, entry, progress, chroot='/'):
@@ -395,7 +395,7 @@
         self.checked = 1
         self.linuxnativefs = 1
         self.name = "xfs"
-        self.maxSizeMB = 1024 * 1024
+        self.maxSizeMB = 1920 * 1024
         self.maxLabelChars = 12
         # we don't even have the module, so it won't be mountable... but
         # just in case
@@ -455,7 +455,7 @@
             
         self.name = "jfs"
 
-        self.maxSizeMB = 1024 * 1024
+        self.maxSizeMB = 1920 * 1024
 
 
     def formatDevice(self, entry, progress, chroot='/'):
@@ -479,7 +479,7 @@
         self.formattable = 1
         self.checked = 1
         self.linuxnativefs = 1
-        self.maxSizeMB = 1024 * 1024
+        self.maxSizeMB = 1920 * 1024
 
     def labelDevice(self, entry, chroot):
         devicePath = entry.device.setupDevice(chroot)
@@ -596,7 +596,7 @@
         self.checked = 0
         self.linuxnativefs = 1
         self.name = "software RAID"
-        self.maxSizeMB = 1024 * 1024
+        self.maxSizeMB = 1920 * 1024
         self.supported = 1
 
     def formatDevice(self, entry, progress, chroot='/'):
@@ -614,7 +614,7 @@
         self.checked = 0
         self.linuxnativefs = 1
         self.name = "physical volume (LVM)"
-        self.maxSizeMB = 1024 * 1024
+        self.maxSizeMB = 1920 * 1024
         self.supported = 1
 
     def isMountable(self):
@@ -635,7 +635,7 @@
         self.linuxnativefs = 0
         self.name = "volume group (LVM)"
         self.supported = 0
-        self.maxSizeMB = 1024 * 1024
+        self.maxSizeMB = 1920 * 1024
 
     def isMountable(self):
         return 0
